Sora Videos
curl --request POST \
--url https://api.acedata.cloud/sora/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "sora-2",
"prompt": "cat running on the river"
}
'import requests
url = "https://api.acedata.cloud/sora/videos"
payload = {
"model": "sora-2",
"prompt": "cat running on the river"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'sora-2', prompt: 'cat running on the river'})
};
fetch('https://api.acedata.cloud/sora/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "b8976e18-32dc-4718-9ed8-1ea090fcb6ea",
"trace_id": "fb751e1e-4705-49ea-9fd4-5024b7865ea2",
"data": [
{
"id": "sora-2:task_01k777hjrbfrgs2060q5zvf2a5",
"video_url": "https://cdn.acedata.cloud/sora/example-video.mp4",
"state": "succeeded"
}
]
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Sora Videos
POST
/
sora
/
videos
Sora Videos
curl --request POST \
--url https://api.acedata.cloud/sora/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "sora-2",
"prompt": "cat running on the river"
}
'import requests
url = "https://api.acedata.cloud/sora/videos"
payload = {
"model": "sora-2",
"prompt": "cat running on the river"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'sora-2', prompt: 'cat running on the river'})
};
fetch('https://api.acedata.cloud/sora/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "b8976e18-32dc-4718-9ed8-1ea090fcb6ea",
"trace_id": "fb751e1e-4705-49ea-9fd4-5024b7865ea2",
"data": [
{
"id": "sora-2:task_01k777hjrbfrgs2060q5zvf2a5",
"video_url": "https://cdn.acedata.cloud/sora/example-video.mp4",
"state": "succeeded"
}
]
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorisations
API token from https://platform.acedata.cloud
En-têtes
Sora Videos Param Accept
Options disponibles:
application/json, application/x-ndjson Corps
application/json
Sora Videos Model
Options disponibles:
sora-2, sora-2-pro Exemple:
"sora-2"
Sora Videos Prompt
Exemple:
"cat running on the river"
Sora Videos Duration
Options disponibles:
4, 8, 10, 12, 15, 25 Sora Videos Orientation
Options disponibles:
landscape, portrait Sora Videos Size
Options disponibles:
small, large, 720x1280, 1280x720, 1024x1792, 1792x1024 Sora Videos Character Url
Exemple:
"https://cdn.acedata.cloud/pdidf5.mp4"
Sora Videos Character Start
Sora Videos Character End
Sora Videos Image Urls
Sora Videos Callback Url
Sora Videos Async
Sora Videos Version
Options disponibles:
1.0, 2.0 Cette page vous a-t-elle été utile ?

